Subject: bug#35005: 27.0.50; Fontification unexpectedly works with anonymous faces

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Nov 2019 14:13:32 +0100

Stefan Monnier <[email-masked]> writes:

> AFAIK anonymous faces work fine in font-lock.  They can be a bit more
> delicate to us because many places that accept faces also accept lists
> (either of faces or of other things) but in general there's no real
> restriction that I know of.
>
> So I think the "do not accept" part is not true (any more?), but it's
> still the case that you're generally better off using named faces
> when possible.

OK, I'll adjust the text in the manual.  Names faces are preferable, but
generating faces on the fly is sometimes necessary. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no